%define aurox_ver 9.4
%define rel 3

%define dfi %(which desktop-file-install &>/dev/null; echo $?)

%define rname MozillaFirebird

Summary: Mozilla web browser.
Name: mozilla-firebird
Version: 0.7.1
Release: %{aurox_ver}.aur.%{rel}
License: MPL/LGPL
Group: Applications/Internet
URL: http://www.mozilla.org/projects/firebird/

Source: http://ftp.mozilla.org/pub/firebird/releases/%{version}/%{rname}-source-0.7.tar.gz
Source1: mozilla-firebird

Source2: mozilla-firebird-rebuild-databases.pl
Source3: installed-chrome-orig.txt

Patch0: firebird-0.7-0.7.1.patch
Patch1: mozilla-firebird-change-name.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: %{_prefix}

BuildRequires: XFree86-devel, zlib-devel, zip, perl
BuildRequires: gtk+-devel, libpng-devel, libjpeg-devel, ORBit-devel
BuildRequires: gtk+-devel, gtk2-devel
Obsoletes: phoenix, %{rname}, mozilla-firebird-tools
#we've merged them into one package
Provides: mozilla-firebird-tools

%description
Mozill Firebird is an open-source web browser, designed for standards
compliance, performance and portability.

%prep
%setup -n mozilla
%patch0 -p0
%patch1 -p0
%{__cat} <<EOF >bookmarks.html
<!DOCTYPE NETSCAPE-Bookmark-file-1>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<TITLE>Bookmarks</TITLE>
<H1>Bookmarks</H1>

<DL><p>
    <DT><H3 PERSONAL_TOOLBAR_FOLDER="true" ID="NC:PersonalToolbarFolder">Personal Toolbar Folder</H3>
    <DL><p>
        <DT><A HREF="http://www.aurox.org/">Aurox Home</A>
        <DT><H3 ID="NC:BookmarksRoot#$40f75200">Aurox Forum</H3>
	    <DL><p>
            <DT><A HREF="http://www.aurox.org/forum/index.php?getlang=cs" ADD_DATE="994788115">Česky</A>
            <DT><A HREF="http://www.aurox.org/forum/index.php?getlang=de" ADD_DATE="994787936">Deutsch</A>
            <DT><A HREF="http://www.aurox.org/forum/index.php?getlang=en" ADD_DATE="994787827">English</A>
            <DT><A HREF="http://www.aurox.org/forum/index.php?getlang=es" ADD_DATE="994787795">Español</A>
            <DT><A HREF="http://www.aurox.org/forum/index.php?getlang=fr" ADD_DATE="994787936">Français</A>
            <DT><A HREF="http://www.aurox.org/forum/index.php?getlang=pl" ADD_DATE="994787827">Polskie</A>
            <DT><A HREF="http://www.aurox.org/forum/index.php?getlang=it" ADD_DATE="994787827">Italiano</A>
        </DL><p>
        <DT><A HREF="http://www.google.com/">Google</A>
        <DT><A HREF="http://dag.wieers.com/apt/">Dag Apt Repository</A>
        <DT><A HREF="http://www.mozilla.org/projects/firebird/">Firebird Project</A>
    </DL><p>
    <HR>
    <DT><H3 ID="NC:BookmarksRoot#$40f75202">RPMS</H3>
    <DL><p>
	<DT><A HREF="http://atrpms.physik.fu-berlin.de/">ATrpms</A>
        <DT><A HREF="http://dag.wieers.com/apt/">Dag Apt Repository</A>
        <DT><A HREF="http://freshrpms.net/">FreshRPMS</A>
	<DT><A HREF="http://newrpms.sunsite.dk/">NewRPMS</A>
        <DT><A HREF="http://rpm.pbone.net/">RPM PBone search</A>
	<DT><A HREF="http://www.rpmseek.com/">RPMSeek search</A>
    </DL><p>
    <DT><H3 ID="NC:BookmarksRoot#$40f75201">News</H3>
    <DL><p>
        <DT><A HREF="http://freshmeat.net/">Freshmeat.net</A>
        <DT><A HREF="http://news.google.com/">Google news</A>
        <DT><A HREF="http://linuxtoday.com/">LinuxToday news</A>
        <DT><A HREF="http://lwn.net/">Linux Weekly News</A>
        <DT><A HREF="http://slashdot.org/">Slashdot: News for nerds, stuff that matters</A>
        <DT><A HREF="http://www.theregister.co.uk/">The Register</A>
    </DL><p>
    <DT><H3 ID="NC:BookmarksRoot#$16f2309b">Mozilla Project</H3>
    <DL><p>
        <DT><A HREF="http://www.mozilla.org/">The Mozilla Organization</A>
        <DT><A HREF="http://www.mozilla.org/get-involved.html">Getting Involved</A>
        <DT><A HREF="http://www.mozilla.org/feedback.html">Feedback</A>
        <DT><A HREF="http://www.mozilla.org/docs/">Documentation</A>
        <DT><A HREF="http://www.mozillazine.org/">MozillaZine</A>
    </DL><p>
    <HR>
</DL><p>
EOF

### FIXME: Shouldn't the default firebird config be part of original source ?
%{__cat} <<EOF >.mozconfig
export MOZ_PHOENIX="1"
mk_add_options MOZ_PHOENIX="1"
ac_add_options --with-system-jpeg
ac_add_options --with-system-zlib
ac_add_options --with-system-png
ac_add_options --with-system-mng
ac_add_options --with-pthreads
ac_add_options --disable-tests
ac_add_options --disable-debug
ac_add_options --disable-debug-modules
ac_add_options --disable-xprint
ac_add_options --disable-mailnews
ac_add_options --disable-composer
ac_add_options --disable-ldap
ac_add_options --disable-jsd
ac_add_options --disable-dtd-debug
ac_add_options --disable-gtktest
ac_add_options --disable-freetype2
ac_add_options --disable-freetypetest
ac_add_options --disable-installer
ac_add_options --enable-plaintext-editor-only
ac_add_options --enable-optimize="%{optflags}"
ac_add_options --enable-crypto
ac_add_options --enable-strip
ac_add_options --enable-strip-libs
ac_add_options --enable-reorder
ac_add_options --enable-mathml
ac_add_options --enable-xinerama
ac_add_options --enable-extensions="pref,cookie,wallet"
ac_add_options --enable-xft
ac_add_options --enable-default-toolkit="gtk2"
EOF

%{__cat} <<EOF >%{name}.desktop
[Desktop Entry]
Name=Firebird Web Browser
Name[pl]=Przeglądarka Firebird
Comment=Lightweight Mozilla-based web browser
Comment[pl]=Szybka przeglądarka oparta na Mozilli
Exec=%{name}
Icon=mozilla-firebird.png
Terminal=false
Type=Application
Version=1.0
Encoding=UTF-8
EOF

%build
#export MOZ_PHOENIX="1"
#configure
#{__make} %{?_smp_mflags}

export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
export MOZ_PHOENIX="1"

%{__make} -f client.mk build \
	MAKE="gmake %{?_smp_mflags}"

%install
%{__rm} -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_bindir} \
			%{buildroot}%{_libdir} \
			%{buildroot}%{_datadir}/pixmaps/

%{__make} -C xpinstall/packager/ \
	MOZ_PKG_APPNAME="mozilla-firebird" \
	MOZILLA_BIN="\$(DIST)/bin/MozillaFirebird-bin"

%{__install} -m0755 %{SOURCE1} %{buildroot}%{_bindir}/mozilla-firebird
%{__ln_s} -f %{_bindir}/mozilla-firebird %{buildroot}%{_bindir}/MozillaFirebird

tar -xvz -C %{buildroot}%{_libdir} -f dist/mozilla-firebird-i*-linux-gnu.tar.gz

%{__install} -m0644 browser/base/skin/Throbber.png %{buildroot}%{_datadir}/pixmaps/mozilla-firebird.png
%{__install} -m0644 bookmarks.html %{buildroot}%{_libdir}/mozilla-firebird/defaults/profile/
%{__install} -m0644 bookmarks.html %{buildroot}%{_libdir}/mozilla-firebird/defaults/profile/US/

%if %{dfi}
        %{__install} -d -m0755 %{buildroot}%{_datadir}/gnome/apps/Internet/
        %{__install} -m0644 %{name}.desktop %{buildroot}%{_datadir}/gnome/apps/Internet/
%else
        %{__install} -d -m0755 %{buildroot}%{_datadir}/applications
	desktop-file-install --vendor aurox                \
		--add-category X-Aurox-Base              \
		--add-category Application                 \
		--add-category Network                     \
		--dir %{buildroot}%{_datadir}/applications \
		%{name}.desktop
%endif

mkdir -p %{buildroot}%{_libdir}/mozilla-firebird/chrome/ext/
mkdir -p %{buildroot}%{_libdir}/mozilla-firebird/chrome/lang/
cp -af %{SOURCE2} %{buildroot}%{_libdir}/mozilla-firebird/
cp -af %{SOURCE3} %{buildroot}%{_libdir}/mozilla-firebird/chrome/installed-chrome-orig.txt

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%{_bindir}/*
%{_libdir}/mozilla-firebird/
%{_datadir}/pixmaps/*
%if %{dfi}
        %{_datadir}/gnome/apps/Internet/*.desktop
%else
        %{_datadir}/applications/*.desktop
%endif
%{_libdir}/mozilla-firebird/*.pl
%{_libdir}/mozilla-firebird/chrome/installed-chrome-orig.txt
%dir %{_libdir}/mozilla-firebird/chrome/ext/
%dir %{_libdir}/mozilla-firebird/chrome/lang/



%changelog
* Wed May 05 2004 Aurox Team <aurox@aurox.org> 0:0.7.1-9.4.aur.3
- fix desktop file and encoding in Internet shortcuts, add link to Italian forum
- desktop entry fixed, try to patch titlebar name
- sources added
- merged with mozilla-firebird-tools
- rebuild with xft and gtk2
- add langage setting at start

* Tue Aug 12 2003 Dag Wieers <dag@wieers.com> - 0.6.1-1
- Used gtk2 explicitly as the toolkit.

* Sun Aug 03 2003 Dag Wieers <dag@wieers.com> - 0.6.1-0
- Updated to release 0.6.1.

* Wed Jun 25 2003 Dag Wieers <dag@wieers.com> - 0.6-0
- Initial package. (using DAR)
